[Swift-commit] r4482 - www

davidk at ci.uchicago.edu davidk at ci.uchicago.edu
Tue May 17 10:29:13 CDT 2011


Author: davidk
Date: 2011-05-17 10:29:13 -0500 (Tue, 17 May 2011)
New Revision: 4482

Added:
   www/push_to.sh
Log:
Script to quickly copy web site


Added: www/push_to.sh
===================================================================
--- www/push_to.sh	                        (rev 0)
+++ www/push_to.sh	2011-05-17 15:29:13 UTC (rev 4482)
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+if [ -n "$1" ]; then
+   DESTINATION=$1
+else
+   echo Error: Specify directory to copy to
+   exit 1
+fi
+
+FILESTOCOPY="about bric-flow.jpg css downloads guides index.html links papers sitemap.xml apps bric-flow-thm.jpg dhtml.js images info main otherdoc push_to.sh shBrushVDL2.js style.css template_info
+        docs inc javadoc nostyle.css packages README.txt shCoreu.js support tests"
+
+for file in $FILESTOCOPY
+do
+   cp -vpr $file $DESTINATION
+done


Property changes on: www/push_to.sh
___________________________________________________________________
Added: svn:executable
   + *




More information about the Swift-commit mailing list